Bug 253832 - sysutils/snmp_exporter: Update to 0.20.0
Summary: sysutils/snmp_exporter: Update to 0.20.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: https://github.com/prometheus/snmp_ex...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-02-24 22:44 UTC by Miłosz Kaniewski
Modified: 2021-03-13 18:48 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (fabian.freyer)
milosz.kaniewski: maintainer-feedback? (fabian.freyer)


Attachments
Patch (7.04 KB, patch)
2021-02-24 22:44 UTC, Miłosz Kaniewski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miłosz Kaniewski 2021-02-24 22:44:42 UTC
Created attachment 222803 [details]
Patch

The patch updates sysutils/snmp_exporter to 0.20.0.

There is no longer a "vendor" directory inside the upstream package. I followed https://docs.freebsd.org/en/books/porters-handbook/book.html#using-go to deal with that.

The updated port builds properly. I tested both snmp_exporter and snmp_exporter_generator binaries.
Comment 1 Automation User 2021-02-25 00:03:34 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/261422879
Comment 2 Fernando Apesteguía freebsd_committer 2021-02-25 07:24:33 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 3 Miłosz Kaniewski 2021-02-25 10:51:04 UTC
I updated the URL with a link to a changelog.
Comment 4 Fernando Apesteguía freebsd_committer 2021-02-25 14:41:51 UTC
(In reply to Miłosz Kaniewski from comment #3)
Thanks for that :-)
Comment 5 commit-hook freebsd_committer 2021-03-13 18:48:27 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Mar 13 18:48:08 UTC 2021
New revision: 568269
URL: https://svnweb.freebsd.org/changeset/ports/568269

Log:
  sysutils/snmp_exporter: Update to 0.20.0

  PR:		253832
  Submitted by:	Mi?osz Kaniewski <milosz.kaniewski@gmail.com>
  Approved by:	maintainer timeout

Changes:
  head/sysutils/snmp_exporter/Makefile
  head/sysutils/snmp_exporter/distinfo